# Change the credit limit
source: https://developer.mastercard.com/mastercard-processing-credit/documentation/use-cases/credit-card/change-credit-limit/index.md

## Overview {#overview}

The use case describes the process for a cardholder to change the limit on their credit card.

A credit limit, also called revolving credit limit, is a basic credit card limit you define on the account contract level. It is shared among all the linked cards under a specified account contract. There are also two additional types of credit limits:

* A shadow credit limit
* A temporary credit limit

<br />

A shadow credit limit is an increase in the main, revolving credit limit which is not known to the cardholder. It applies in the cases when some additional fees added to a transaction can increase the amount over the basic limit. It prevents transaction form rejection.

## Sequence diagram {#sequence-diagram}

Diagram change-credit-limit

### Explanation {#explanation}

1. The cardholder decides to change the limit on their credit card.
2. The mobile application or e-banking service sends the request to change the credit limit to the server.
3. The server sends a `PUT` request to the `/contracts/{contract_id}/credit-limit` endpoint by passing the following mandatory fields in the request body:

* `amount` -- with the value of the new credit limit
* `currency` -- with the currency of the credit limit represented in the ISO 4217 alphanumeric code  
  Note: For the standard credit product, the server must put the `accountContractId` value in place of `contract_id` in the path. Tip: Depending on your UI design, you can alternatively send the `operator` field with the value by which the limit must be changed. For example, if the cardholder has a credit limit of 1000 USD and has requested a new limit of 1500 USD, your server can send the following request body to reflect that change in the Mastercard Processing CMS.

  ```json
  {
    "amount": 500,
    "currency": "USD",
    "operator": "PLUS"
  }
  ```

  By using `effectiveDate`, you can indicate from which date the new limit is applicable.

4. The API sends a response to the server, confirming that the revolving credit limit has been changed.
5. The server sends a response to the mobile application or e-banking service confirming that the credit limit has been changed.
6. The mobile application or e-banking service notifies the cardholder that the credit limit has been changed.  

Refer to [Sandbox testing](https://developer.mastercard.com/mastercard-processing-credit/documentation/sandbox-testing/index.md) for information on how to execute the use case in the Sandbox environment.

## Endpoint {#endpoint}


API Reference: `PUT /contracts/{contract_id}/credit-limit`

